Subject: FVWM: Re: RH5.1: NumLock woes

From: [email-masked]
Date: Wed, 15 Jul 1998 14:07:35 -0500 (CDT)

As far as I could tell, the NumLock/mouse click conflict appears to
be an issue with the fvwm95 window manager.  Try toggling CapsLock
or ScrollLock to see if they interfere in the same way.  On my system
running RH5.0 they did.  Since then I've moved on to other wm's which
thankfully don't seem to behave similarly.

I'm still curious as to the cause of this behavior (as I don't remember
it in previous fvwm incarnations).  I vaguely remember running into a
posting of some sort which explained it but I can't be sure and I
certainly don't remember what it might have said.  

-LN

In article <[email-masked]>,
Vikas Agnihotri <[email-masked]> wrote:
>Using RH5.1. The NumLock key is causing me some grief.
>
>In Vim, when I turn on the NumLock key (LED is on), my mouse clicks no
>longer work _with Vim_. i.e. the xterm no longer receives the mouse clicks.
>When I turn off the NumLock LED, things work fine.
>
>xmodmap -pke | fgrep -i numlock gave me
>
>keycode 77 = NumLock Pointer_EnableKeys
>
>xmodmap alone told me that NumLock was Mod2.
>
>Aha! Seems the pointer and NumLock key are somehow related.
>
>How do I get around this? 
>
>xmodmap -e 'remove Mod2' will get rid of the modifier? Will my LED still
>light up and can I use the digits on the numeric keypad? 
>
>xmodmap -e 'keycode 77 = NumLock' will get rid of the pointer dependency?
>
>Nothing seems to be working.
>
>I am not sure, I am just grasping at straws here. Would appreciate a short
>tutorial from some guru out there.
>
>Thanks,
>Vikas
>
>P.S.
> The Pointer_EnableKeys is intriguing though. What does it do? Does it mean
>I can control the pointer (mouse) with the keyboard? How does it work? How
>can I re-bind it to some other key?

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].